Index: branches/SHM-4.1-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/SHM-4.1-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 528)
+++ branches/SHM-4.1-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 529)
@@ -1318,13 +1318,4 @@
   }
 #endif
-#if IL_SL_SIGNALLING_N0371
-  for(i = 1; i < vps->getMaxLayers(); i++)
-  {
-    for(Int j = 0; j < i; j++)
-    {
-      vps->setScalingListLayerDependency( i, j, vps->checkLayerDependency( i,j ) );
-    }
-  }
-#endif
 #endif
 #if JCTVC_M0458_INTERLAYER_RPS_SIG
Index: branches/SHM-4.1-dev/source/Lib/TLibCommon/TComRom.cpp
===================================================================
--- branches/SHM-4.1-dev/source/Lib/TLibCommon/TComRom.cpp	(revision 528)
+++ branches/SHM-4.1-dev/source/Lib/TLibCommon/TComRom.cpp	(revision 529)
@@ -541,11 +541,4 @@
 Int g_mvScalingFactor  [MAX_LAYERS][2] = {{0,0}, {0,0}};
 Int g_posScalingFactor [MAX_LAYERS][2] = {{0,0}, {0,0}};
-
-#if IL_SL_SIGNALLING_N0371
-Int ref_scalingListDC         [MAX_LAYERS][SCALING_LIST_SIZE_NUM][SCALING_LIST_NUM];
-Int ref_scalingListCoef       [MAX_LAYERS][SCALING_LIST_SIZE_NUM][SCALING_LIST_NUM][MAX_MATRIX_COEF_NUM];
-Int activeRefPPSId            [MAX_LAYERS];
-Int activeRefSPSId            [MAX_LAYERS];
-#endif 
 #endif
 
Index: branches/SHM-4.1-dev/source/Lib/TLibCommon/TComRom.h
===================================================================
--- branches/SHM-4.1-dev/source/Lib/TLibCommon/TComRom.h	(revision 528)
+++ branches/SHM-4.1-dev/source/Lib/TLibCommon/TComRom.h	(revision 529)
@@ -291,12 +291,5 @@
 #if SVC_EXTENSION
 extern Int g_mvScalingFactor  [MAX_LAYERS][2];
-extern Int g_posScalingFactor [MAX_LAYERS][2];
-
-#if IL_SL_SIGNALLING_N0371
-extern Int ref_scalingListDC         [MAX_LAYERS][SCALING_LIST_SIZE_NUM][SCALING_LIST_NUM];
-extern Int ref_scalingListCoef       [MAX_LAYERS][SCALING_LIST_SIZE_NUM][SCALING_LIST_NUM][MAX_MATRIX_COEF_NUM];
-extern Int activeRefPPSId            [MAX_LAYERS];
-extern Int activeRefSPSId            [MAX_LAYERS];  
-#endif   
+extern Int g_posScalingFactor [MAX_LAYERS][2]; 
 #endif
 
Index: branches/SHM-4.1-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/SHM-4.1-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 528)
+++ branches/SHM-4.1-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 529)
@@ -48,8 +48,4 @@
 ParameterSetMap<TComVPS> ParameterSetManager::m_vpsMap(MAX_NUM_VPS);
 Int ParameterSetManager::m_activeVPSId = -1;
-#if IL_SL_SIGNALLING_N0371
-TComSPS* TComSPS::m_pcSPS[MAX_LAYERS];
-TComPPS* TComPPS::m_pcPPS[MAX_LAYERS];
-#endif
 #endif
 
@@ -2233,25 +2229,4 @@
     setNumSubDpbs( i, getNumLayersInIdList( getOutputLayerSetIdx(i)) );
   }
-}
-#endif
-
-#if IL_SL_SIGNALLING_N0371
-Bool TComVPS::checkLayerDependency(UInt i, UInt j)
-{
-  if( this->getDirectDependencyFlag(i, j) == true )
-  {                                                                                                                                    
-    return true;                                                                                                                       
-  }                                                                                                                                    
-  else                                                                                                                                   
-  {                                                                                                                                    
-    for(UInt k=i-1; k>j; k--)
-    {                                                                                                                                
-      if( this->getDirectDependencyFlag(i, k) == true )
-      {                                                                                                                            
-        checkLayerDependency( k,j );                                                                                           
-      }
-    }
-  }
-  return false;        
 }
 #endif
@@ -2822,9 +2797,5 @@
 /** set default quantization matrix to array
 */
-#if IL_SL_SIGNALLING_N0371
-Void TComSlice::setDefaultScalingList( UInt layerId )
-#else
 Void TComSlice::setDefaultScalingList()
-#endif
 {
   for(UInt sizeId = 0; sizeId < SCALING_LIST_SIZE_NUM; sizeId++)
@@ -2832,9 +2803,5 @@
     for(UInt listId=0;listId<g_scalingListNum[sizeId];listId++)
     {
-#if IL_SL_SIGNALLING_N0371
-      getScalingList()->processDefaultMarix(sizeId, listId, layerId);
-#else
       getScalingList()->processDefaultMarix(sizeId, listId);
-#endif
     }
   }
@@ -3011,38 +2978,13 @@
  * \param Index of input matrix
  */
-#if IL_SL_SIGNALLING_N0371
-Void TComScalingList::processDefaultMarix(UInt sizeId, UInt listId, UInt layerId)
-#else
 Void TComScalingList::processDefaultMarix(UInt sizeId, UInt listId)
-#endif
-{
-#if IL_SL_SIGNALLING_N0371
-  Int i,coefNum = min(MAX_MATRIX_COEF_NUM,(Int)g_scalingListSize[sizeId]);
-  UInt* scan  = (sizeId == 0) ? g_auiSigLastScan [ SCAN_DIAG ] [ 1 ] :  g_sigLastScanCG32x32; 
-  Int *src = getScalingListDefaultAddress(sizeId, listId);   
-#endif
-
+{
   ::memcpy(getScalingListAddress(sizeId, listId),getScalingListDefaultAddress(sizeId,listId),sizeof(Int)*min(MAX_MATRIX_COEF_NUM,(Int)g_scalingListSize[sizeId]));
-
-#if IL_SL_SIGNALLING_N0371
-  for(i = 0; i < coefNum; i++) 
-  {
-    ref_scalingListCoef[layerId][sizeId][listId][i] = src[scan[i]];
-  }
-#endif
-
   setScalingListDC(sizeId,listId,SCALING_LIST_DC);
-#if IL_SL_SIGNALLING_N0371
-  ref_scalingListDC[layerId][sizeId][listId] = SCALING_LIST_DC;
-#endif
 }
 
 /** check DC value of matrix for default matrix signaling
  */
-#if IL_SL_SIGNALLING_N0371
-Void TComScalingList::checkDcOfMatrix( UInt layerId )
-#else
 Void TComScalingList::checkDcOfMatrix()
-#endif
 {
   for(UInt sizeId = 0; sizeId < SCALING_LIST_SIZE_NUM; sizeId++)
@@ -3053,9 +2995,5 @@
       if(getScalingListDC(sizeId,listId) == 0)
       {
-#if IL_SL_SIGNALLING_N0371
-        processDefaultMarix(sizeId, listId, layerId);
-#else
         processDefaultMarix(sizeId, listId);
-#endif
       }
     }
@@ -3138,9 +3076,4 @@
         m_activeVPSId = vpsId;
         m_activeSPSId = spsId;
-
-#if IL_SL_SIGNALLING_N0371
-        activeRefPPSId[ sps->getLayerId() ] = ppsId;
-        activeRefSPSId[ sps->getLayerId() ] = spsId;
-#endif
 
         return true;
Index: branches/SHM-4.1-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/SHM-4.1-dev/source/Lib/TLibCommon/TComSlice.h	(revision 528)
+++ branches/SHM-4.1-dev/source/Lib/TLibCommon/TComSlice.h	(revision 529)
@@ -157,13 +157,4 @@
   Bool     getScalingListPresentFlag    ()                                     { return m_scalingListPresentFlag; }
 
-#if IL_SL_SIGNALLING_N0371
-  UInt     m_layerId;
-
-  Void     setPredScalingListFlag    (Bool b)                               { m_predScalingListFlag = b;    }
-  Bool     getPredScalingListFlag    ()                                     { return m_predScalingListFlag; }
-  Void     setScalingListRefLayerId  (UInt b)                               { m_scalingListRefLayerId = b;  }
-  UInt     getScalingListRefLayerId  ()                                     { return m_scalingListRefLayerId; }
-#endif
-
   Int*     getScalingListAddress          (UInt sizeId, UInt listId)           { return m_scalingListCoef[sizeId][listId]; } //!< get matrix coefficient
   Bool     checkPredMode                  (UInt sizeId, UInt listId);
@@ -171,23 +162,8 @@
   UInt     getRefMatrixId                 (UInt sizeId, UInt listId)           { return m_refMatrixId[sizeId][listId]; }     //!< get reference matrix ID
   Int*     getScalingListDefaultAddress   (UInt sizeId, UInt listId);                                                        //!< get default matrix coefficient
-
-#if IL_SL_SIGNALLING_N0371
-  Void     processDefaultMarix            (UInt sizeId, UInt listId, UInt layerId );
-#else
   Void     processDefaultMarix            (UInt sizeId, UInt listId);
-#endif
-
   Void     setScalingListDC               (UInt sizeId, UInt listId, UInt u)   { m_scalingListDC[sizeId][listId] = u; }      //!< set DC value
-
   Int      getScalingListDC               (UInt sizeId, UInt listId)           { return m_scalingListDC[sizeId][listId]; }   //!< get DC value
-
-#if IL_SL_SIGNALLING_N0371
-  Void     setLayerId(UInt layerId) { m_layerId = layerId; }
-  UInt     getLayerId() { return m_layerId; }
-  Void     checkDcOfMatrix                ( UInt m_layerId );
-#else
   Void     checkDcOfMatrix                ();
-#endif
-
   Void     processRefMatrix               (UInt sizeId, UInt listId , UInt refListId );
   Bool     xParseScalingList              (Char* pchFile);
@@ -200,10 +176,4 @@
   UInt     m_refMatrixId                 [SCALING_LIST_SIZE_NUM][SCALING_LIST_NUM]; //!< RefMatrixID
   Bool     m_scalingListPresentFlag;                                                //!< flag for using default matrix
-
-#if IL_SL_SIGNALLING_N0371
-  Bool     m_predScalingListFlag;                                                   //!< flag for inter-layer scaling-list prediction
-  UInt     m_scalingListRefLayerId;                                                 //!< scaling_list_ref_layer_id  
-#endif
-
   UInt     m_predMatrixId                [SCALING_LIST_SIZE_NUM][SCALING_LIST_NUM]; //!< reference list index
   Int      *m_scalingListCoef            [SCALING_LIST_SIZE_NUM][SCALING_LIST_NUM]; //!< quantization matrix                                            
@@ -512,7 +482,4 @@
   Int         m_layerSetLayerIdList[MAX_VPS_LAYER_SETS_PLUS1][MAX_VPS_LAYER_ID_PLUS1];
   Int         m_numLayerInIdList[MAX_VPS_LAYER_SETS_PLUS1];
-#endif
-#if IL_SL_SIGNALLING_N0371
-  Bool        m_scalingListLayerDependency[MAX_LAYERS][MAX_LAYERS];  // layer dependency for scaling list
 #endif
 #if VPS_EXTN_OFFSET
@@ -730,9 +697,4 @@
 #if VPS_DPB_SIZE_TABLE
 Void      deriveNumberOfSubDpbs();
-#endif
-#if IL_SL_SIGNALLING_N0371
-  Bool    checkLayerDependency(UInt i, UInt j);
-  Bool    getScalingListLayerDependency  ( UInt layerId, UInt refLayerId )            { return m_scalingListLayerDependency[layerId][refLayerId]; }
-  Void    setScalingListLayerDependency  ( UInt layerId, UInt refLayerId, Bool val  ) { m_scalingListLayerDependency[layerId][refLayerId] = val;  }
 #endif
 
@@ -1293,11 +1255,4 @@
 
   UInt m_layerId;
-
-#if IL_SL_SIGNALLING_N0371
-  TComVPS*    m_pVPS;
-  static TComSPS* m_pcSPS[MAX_LAYERS];
-  Bool        m_predScalingListFlag;
-  UInt        m_scalingListRefLayerId;
-#endif
 
 #if REF_IDX_MFM
@@ -1441,16 +1396,4 @@
   Void setScalingListPresentFlag( Bool b ) { m_scalingListPresentFlag  = b;       }
 
-#if IL_SL_SIGNALLING_N0371
-  Bool getPredScalingListFlag()         { return m_predScalingListFlag;     }
-  Void setPredScalingListFlag( Bool b ) { m_predScalingListFlag  = b;       }
-  UInt getScalingListRefLayerId()         { return m_scalingListRefLayerId;   }
-  Void setScalingListRefLayerId( UInt b ) { m_scalingListRefLayerId  = b;       }
-
-  TComVPS*  getVPS()                      { return  m_pVPS; }
-  Void      setVPS( TComVPS* vps )        { m_pVPS = vps;   }
-  static   TComSPS* getSPS(UInt layerId)               { return m_pcSPS[layerId]; }
-  static   Void     setSPS(UInt layerId, TComSPS* sps) { m_pcSPS[layerId] = sps;  }
-#endif
-
 #if SCALINGLIST_INFERRING
   Void setScalingList( TComScalingList *scalingList ) { m_scalingList = scalingList; }
@@ -1607,15 +1550,4 @@
   Bool     m_scalingListPresentFlag;
 
-#if SVC_EXTENSION
-  UInt m_layerId;
-
-#if IL_SL_SIGNALLING_N0371
-  static TComPPS* m_pcPPS[MAX_LAYERS];
-  Bool     m_predScalingListFlag;
-  UInt     m_scalingListRefLayerId;
-#endif
-
-#endif
-
   TComScalingList*     m_scalingList;   //!< ScalingList class pointer
 
@@ -1624,7 +1556,10 @@
   Int m_numExtraSliceHeaderBits;
 
+#if SVC_EXTENSION
 #if SCALINGLIST_INFERRING
+  UInt     m_layerId;
   Bool     m_inferScalingListFlag;
   UInt     m_scalingListRefLayerId;
+#endif
 #endif
 
@@ -1746,16 +1681,4 @@
   Void     setInferScalingListFlag( Bool flag )     { m_inferScalingListFlag = flag;     }
   Void     setScalingListRefLayerId( UInt layerId ) { m_scalingListRefLayerId = layerId; }
-#endif
-#if IL_SL_SIGNALLING_N0371
-  Void     setLayerId(UInt layerId) { m_layerId = layerId; }
-  UInt     getLayerId() { return m_layerId; }
-
-  Bool     getPredScalingListFlag()         { return m_predScalingListFlag;     }
-  Void     setPredScalingListFlag( Bool b ) { m_predScalingListFlag  = b;       }
-  UInt     getScalingListRefLayerId()         { return m_scalingListRefLayerId;     }
-  Void     setScalingListRefLayerId( UInt b ) { m_scalingListRefLayerId  = b;       }
-
-  static   TComPPS* getPPS(UInt layerId)               { return m_pcPPS[layerId]; }
-  static   Void     setPPS(UInt layerId, TComPPS* pps) { m_pcPPS[layerId] = pps;  }
 #endif
 
@@ -2159,11 +2082,5 @@
   Void  setScalingList              ( TComScalingList* scalingList ) { m_scalingList = scalingList; }
   TComScalingList*   getScalingList ()                               { return m_scalingList; }
-
-#if IL_SL_SIGNALLING_N0371
-  Void  setDefaultScalingList       ( UInt m_layerId );
-#else
   Void  setDefaultScalingList       ();
-#endif
-
   Bool  checkDefaultScalingList     ();
   Void      setCabacInitFlag  ( Bool val ) { m_cabacInitFlag = val;      }  //!< set CABAC initial flag 
Index: branches/SHM-4.1-dev/source/Lib/TLibCommon/TComTrQuant.cpp
===================================================================
--- branches/SHM-4.1-dev/source/Lib/TLibCommon/TComTrQuant.cpp	(revision 528)
+++ branches/SHM-4.1-dev/source/Lib/TLibCommon/TComTrQuant.cpp	(revision 529)
@@ -2494,9 +2494,5 @@
 /** set flat matrix value to quantized coefficient
  */
-#if IL_SL_SIGNALLING_N0371
-Void TComTrQuant::setFlatScalingList( UInt m_layerId )
-#else
 Void TComTrQuant::setFlatScalingList()
-#endif
 {
   UInt size,list;
@@ -2507,12 +2503,4 @@
     for(list = 0; list <  g_scalingListNum[size]; list++)
     {
-#if IL_SL_SIGNALLING_N0371
-      ref_scalingListDC[m_layerId][size][list] = SCALING_LIST_DC;
-      for(UInt i=0; i<MAX_MATRIX_COEF_NUM; i++)
-      {
-        ref_scalingListCoef[m_layerId][size][list][i] = SCALING_LIST_DC;
-      }
-#endif
-
       for(qp=0;qp<SCALING_LIST_REM_NUM;qp++)
       {
Index: branches/SHM-4.1-dev/source/Lib/TLibCommon/TComTrQuant.h
===================================================================
--- branches/SHM-4.1-dev/source/Lib/TLibCommon/TComTrQuant.h	(revision 528)
+++ branches/SHM-4.1-dev/source/Lib/TLibCommon/TComTrQuant.h	(revision 529)
@@ -181,11 +181,5 @@
   Void setUseScalingList   ( Bool bUseScalingList){ m_scalingListEnabledFlag = bUseScalingList; };
   Bool getUseScalingList   (){ return m_scalingListEnabledFlag; };
-
-#if IL_SL_SIGNALLING_N0371
-  Void setFlatScalingList  ( UInt m_layerId );
-#else
   Void setFlatScalingList  ();
-#endif
-
   Void xsetFlatScalingList ( UInt list, UInt size, UInt qp);
   Void xSetScalingListEnc  ( TComScalingList *scalingList, UInt list, UInt size, UInt qp);
Index: branches/SHM-4.1-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/SHM-4.1-dev/source/Lib/TLibCommon/TypeDef.h	(revision 528)
+++ branches/SHM-4.1-dev/source/Lib/TLibCommon/TypeDef.h	(revision 529)
@@ -63,5 +63,4 @@
 #define RPL_INIT_N0316_N0082             1      ///< JCTVC-N0316, JCTVC-N0082: initial reference picture list construction 
 
-#define IL_SL_SIGNALLING_N0371           0      ///< JCTVC-N0371: inter-layer scaling list
 #define SCALINGLIST_INFERRING            1      ///< JCTVC-N0371: inter-layer scaling list
 #define M0463_VUI_EXT_ILP_REF            0      ///< JCTVC-M0463: VUI extension inter-layer dependency offset signalling
Index: branches/SHM-4.1-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/SHM-4.1-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 528)
+++ branches/SHM-4.1-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 529)
@@ -313,54 +313,7 @@
   READ_FLAG( uiCode, "pps_scaling_list_data_present_flag" );           pcPPS->setScalingListPresentFlag( uiCode ? true : false );
 
-#if IL_SL_SIGNALLING_N0371
-  pcPPS->setPPS( pcPPS->getLayerId(), pcPPS );
-#endif
-
   if(pcPPS->getScalingListPresentFlag ())
   {
-#if IL_SL_SIGNALLING_N0371
-    pcPPS->getScalingList()->setLayerId( pcPPS->getLayerId() );
-
-    if( pcPPS->getLayerId() > 0 )
-    {
-      READ_FLAG( uiCode, "pps_pred_scaling_list_flag" );           pcPPS->setPredScalingListFlag( uiCode ? true : false );
-      pcPPS->getScalingList()->setPredScalingListFlag( pcPPS->getPredScalingListFlag() );
-
-      if( pcPPS->getPredScalingListFlag() )
-      {
-        READ_UVLC ( uiCode, "scaling_list_pps_ref_layer_id" );   pcPPS->setScalingListRefLayerId( uiCode );
-
-        // The value of pps_scaling_list_ref_layer_id shall be in the range of 0 to 62, inclusive
-        assert( /*pcPPS->getScalingListRefLayerId() >= 0 &&*/ pcPPS->getScalingListRefLayerId() <= 62 );
-
-        // When avc_base_layer_flag is equal to 1, it is a requirement of bitstream conformance that the value of pps_scaling_list_ref_layer_id shall be greater than 0
-        if( pcPPS->getSPS()->getVPS()->getAvcBaseLayerFlag() )
-        {
-          assert( pcPPS->getScalingListRefLayerId() > 0 );
-        }
-
-        // It is a requirement of bitstream conformance that, when a PPS with nuh_layer_id equal to nuhLayerIdA is active for a layer with nuh_layer_id equal to nuhLayerIdB and
-        // pps_infer_scaling_list_flag in the PPS is equal to 1, pps_infer_scaling_list_flag shall be equal to 0 for the PPS that is active for the layer with nuh_layer_id equal to pps_scaling_list_ref_layer_id
-        assert( pcPPS->getPPS( pcPPS->getScalingListRefLayerId() )->getPredScalingListFlag() == false );
-
-        // It is a requirement of bitstream conformance that, when a PPS with nuh_layer_id equal to nuhLayerIdA is active for a layer with nuh_layer_id equal to nuhLayerIdB,
-        // the layer with nuh_layer_id equal to pps_scaling_list_ref_layer_id shall be a direct or indirect reference layer of the layer with nuh_layer_id equal to nuhLayerIdB
-        assert( pcPPS->getSPS()->getVPS()->getScalingListLayerDependency( pcPPS->getLayerId(), pcPPS->getScalingListRefLayerId() ) == true );
-
-        pcPPS->getScalingList()->setScalingListRefLayerId( pcPPS->getScalingListRefLayerId() );
-        parseScalingList( pcPPS->getScalingList() );
-      }
-      else
-      {
-        parseScalingList( pcPPS->getScalingList() );
-      }
-    }
-    else
-    {
-      parseScalingList( pcPPS->getScalingList() );
-    }
-#else
     parseScalingList( pcPPS->getScalingList() );
-#endif
   }
 
@@ -588,8 +541,4 @@
     pcSPS->setTemporalIdNestingFlag( parameterSetManager->getPrefetchedVPS(pcSPS->getVPSId())->getTemporalNestingFlag() );
   }
-#if IL_SL_SIGNALLING_N0371
-  pcSPS->setVPS( parameterSetManager->getPrefetchedVPS(pcSPS->getVPSId()) );
-  pcSPS->setSPS( pcSPS->getLayerId(), pcSPS );
-#endif
 #endif
   if ( pcSPS->getMaxTLayers() == 1 )
@@ -762,50 +711,5 @@
     if(pcSPS->getScalingListPresentFlag ())
     {
-
-#if IL_SL_SIGNALLING_N0371
-      pcSPS->getScalingList()->setLayerId( pcSPS->getLayerId() );
-
-      if( pcSPS->getLayerId() > 0 )
-      {
-        READ_FLAG( uiCode, "sps_pred_scaling_list_flag" );  pcSPS->setPredScalingListFlag ( uiCode );
-        pcSPS->getScalingList()->setPredScalingListFlag( pcSPS->getPredScalingListFlag() );
-
-        if( pcSPS->getPredScalingListFlag() )
-        {
-          READ_UVLC( uiCode, "scaling_list_sps_ref_layer_id" );    pcSPS->setScalingListRefLayerId( uiCode );
-
-          // The value of sps_scaling_list_ref_layer_id shall be in the range of 0 to 62, inclusive
-          assert( /*pcSPS->getScalingListRefLayerId() >= 0 &&*/ pcSPS->getScalingListRefLayerId() <= 62 );
-
-          // When avc_base_layer_flag is equal to 1, it is a requirement of bitstream conformance that the value of sps_scaling_list_ref_layer_id shall be greater than 0
-          if( pcSPS->getVPS()->getAvcBaseLayerFlag() )
-          {
-            assert( pcSPS->getScalingListRefLayerId() > 0 );
-          }
-
-          // It is a requirement of bitstream conformance that, when an SPS with nuh_layer_id equal to nuhLayerIdA is active for a layer with nuh_layer_id equal to nuhLayerIdB and
-          // sps_infer_scaling_list_flag in the SPS is equal to 1, sps_infer_scaling_list_flag shall be equal to 0 for the SPS that is active for the layer with nuh_layer_id equal to sps_scaling_list_ref_layer_id
-          assert( pcSPS->getSPS( pcSPS->getScalingListRefLayerId() )->getPredScalingListFlag() == false );
-
-          // It is a requirement of bitstream conformance that, when an SPS with nuh_layer_id equal to nuhLayerIdA is active for a layer with nuh_layer_id equal to nuhLayerIdB,
-          // the layer with nuh_layer_id equal to sps_scaling_list_ref_layer_id shall be a direct or indirect reference layer of the layer with nuh_layer_id equal to nuhLayerIdB
-          assert( pcSPS->getVPS()->getScalingListLayerDependency( pcSPS->getLayerId(), pcSPS->getScalingListRefLayerId() ) == true );
-
-          pcSPS->getScalingList()->setScalingListRefLayerId( pcSPS->getScalingListRefLayerId() );
-          parseScalingList( pcSPS->getScalingList() );
-        }
-        else
-        {
-          parseScalingList( pcSPS->getScalingList() );
-        }
-      }
-      else
-      {
-        parseScalingList( pcSPS->getScalingList() );
-      }
-#else
       parseScalingList( pcSPS->getScalingList() );
-#endif
-
     }
 #if SCALINGLIST_INFERRING
@@ -1502,14 +1406,4 @@
     }
   }
-#endif
-
-#if IL_SL_SIGNALLING_N0371
-  for(i = 1; i < vps->getMaxLayers(); i++)
-    {
-      for(j = 0; j < i; j++)
-        {
-          vps->setScalingListLayerDependency( i, j, vps->checkLayerDependency( i,j ) );
-        }
-    }
 #endif
 
@@ -2930,46 +2824,4 @@
     for(listId = 0; listId <  g_scalingListNum[sizeId]; listId++)
     {
-#if IL_SL_SIGNALLING_N0371
-      if ( scalingList->getLayerId() > 0 && scalingList->getPredScalingListFlag() )
-      {
-        READ_FLAG( code, "scaling_list_pred_mode_flag");
-        scalingListPredModeFlag = (code) ? true : false;
-        if(!scalingListPredModeFlag) //Copy Mode
-        {
-          READ_UVLC( code, "scaling_list_pred_matrix_id_delta");
-          scalingList->setRefMatrixId (sizeId,listId,(UInt)((Int)(listId)-(code)));
-          if( sizeId > SCALING_LIST_8x8 )
-          {
-            scalingList->setScalingListDC(sizeId,listId,((listId == scalingList->getRefMatrixId (sizeId,listId))? 16 :scalingList->getScalingListDC(sizeId, scalingList->getRefMatrixId (sizeId,listId))));
-          }
-          scalingList->processRefMatrix( sizeId, listId, scalingList->getRefMatrixId (sizeId,listId));
-
-        }
-        else //DPCM Mode
-        {
-          xDecodeScalingList(scalingList, sizeId, listId);
-        }
-      }
-      else
-      {
-        READ_FLAG( code, "scaling_list_pred_mode_flag");
-        scalingListPredModeFlag = (code) ? true : false;
-        if(!scalingListPredModeFlag) //Copy Mode
-        {
-          READ_UVLC( code, "scaling_list_pred_matrix_id_delta");
-          scalingList->setRefMatrixId (sizeId,listId,(UInt)((Int)(listId)-(code)));
-          if( sizeId > SCALING_LIST_8x8 )
-          {
-            scalingList->setScalingListDC(sizeId,listId,((listId == scalingList->getRefMatrixId (sizeId,listId))? 16 :scalingList->getScalingListDC(sizeId, scalingList->getRefMatrixId (sizeId,listId))));
-          }
-          scalingList->processRefMatrix( sizeId, listId, scalingList->getRefMatrixId (sizeId,listId));
-
-        }
-        else //DPCM Mode
-        {
-          xDecodeScalingList(scalingList, sizeId, listId);
-        }
-      }
-#else
       READ_FLAG( code, "scaling_list_pred_mode_flag");
       scalingListPredModeFlag = (code) ? true : false;
@@ -2989,5 +2841,4 @@
         xDecodeScalingList(scalingList, sizeId, listId);
       }
-#endif
     }
   }
@@ -3011,44 +2862,14 @@
   if( sizeId > SCALING_LIST_8x8 )
   {
-#if IL_SL_SIGNALLING_N0371
-    if( scalingList->getLayerId() > 0 && scalingList->getPredScalingListFlag() )
-    {
-      ref_scalingListDC[scalingList->getLayerId()][sizeId][listId] = scalingList->getScalingListDC(sizeId,listId);
-      scalingList->setScalingListDC(sizeId,listId,ref_scalingListDC[scalingList->getScalingListRefLayerId()][sizeId][listId]);
-    }
-    else
-    {
-      READ_SVLC( scalingListDcCoefMinus8, "scaling_list_dc_coef_minus8");
-      scalingList->setScalingListDC(sizeId,listId,scalingListDcCoefMinus8 + 8);
-      nextCoef = scalingList->getScalingListDC(sizeId,listId);
-      ref_scalingListDC[scalingList->getLayerId()][sizeId][listId] = scalingList->getScalingListDC(sizeId,listId);
-    }
-#else
     READ_SVLC( scalingListDcCoefMinus8, "scaling_list_dc_coef_minus8");
     scalingList->setScalingListDC(sizeId,listId,scalingListDcCoefMinus8 + 8);
     nextCoef = scalingList->getScalingListDC(sizeId,listId);
-#endif
   }
 
   for(i = 0; i < coefNum; i++)
   {
-#if IL_SL_SIGNALLING_N0371
-    if( scalingList->getLayerId() > 0 && scalingList->getPredScalingListFlag() )
-    {
-      ref_scalingListCoef[scalingList->getLayerId()][sizeId][listId][i] = dst[scan[i]];
-      dst[scan[i]] = ref_scalingListCoef[scalingList->getScalingListRefLayerId()][sizeId][listId][i];
-    }
-    else
-    {
-      READ_SVLC( data, "scaling_list_delta_coef");
-      nextCoef = (nextCoef + data + 256 ) % 256;
-      dst[scan[i]] = nextCoef;
-      ref_scalingListCoef[scalingList->getLayerId()][sizeId][listId][i] = dst[scan[i]];
-    }
-#else
     READ_SVLC( data, "scaling_list_delta_coef");
     nextCoef = (nextCoef + data + 256 ) % 256;
     dst[scan[i]] = nextCoef;
-#endif
   }
 }
Index: branches/SHM-4.1-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/SHM-4.1-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 528)
+++ branches/SHM-4.1-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 529)
@@ -1465,16 +1465,8 @@
   if(pcSlice->getSPS()->getScalingListFlag())
   {
-#if IL_SL_SIGNALLING_N0371
-    pcSlice->getSPS()->getScalingList()->setLayerId( m_layerId );
-#endif
-
     pcSlice->setScalingList ( pcSlice->getSPS()->getScalingList()  );
 
     if(pcSlice->getPPS()->getScalingListPresentFlag())
     {
-#if IL_SL_SIGNALLING_N0371
-      pcSlice->getPPS()->getScalingList()->setLayerId( m_layerId );
-#endif
-
       pcSlice->setScalingList ( pcSlice->getPPS()->getScalingList()  );
     }
@@ -1484,9 +1476,5 @@
     if(!pcSlice->getPPS()->getScalingListPresentFlag() && !pcSlice->getSPS()->getScalingListPresentFlag())
     {
-#if IL_SL_SIGNALLING_N0371
-      pcSlice->setDefaultScalingList( m_layerId );
-#else
       pcSlice->setDefaultScalingList();
-#endif
     }
     m_cTrQuant.setScalingListDec(pcSlice->getScalingList());
@@ -1495,9 +1483,5 @@
   else
   {
-#if IL_SL_SIGNALLING_N0371
-    m_cTrQuant.setFlatScalingList( m_layerId );
-#else
     m_cTrQuant.setFlatScalingList();
-#endif
     m_cTrQuant.setUseScalingList(false);
   }
@@ -1543,5 +1527,5 @@
   TComPPS* pps = new TComPPS();
 
-#if SCALINGLIST_INFERRING || IL_SL_SIGNALLING_N0371
+#if SCALINGLIST_INFERRING
   pps->setLayerId( m_layerId );
 #endif
Index: branches/SHM-4.1-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- branches/SHM-4.1-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 528)
+++ branches/SHM-4.1-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 529)
@@ -240,8 +240,4 @@
   WRITE_FLAG( pcPPS->getScalingListPresentFlag() ? 1 : 0,                          "pps_scaling_list_data_present_flag" ); 
 
-#if IL_SL_SIGNALLING_N0371
-  pcPPS->setPPS( pcPPS->getLayerId(), pcPPS );  
-#endif
-
   if( pcPPS->getScalingListPresentFlag() )
   {
@@ -249,48 +245,5 @@
     printf("PPS\n");
 #endif
-
-#if IL_SL_SIGNALLING_N0371
-    m_pcSlice->getScalingList()->setLayerId( pcPPS->getLayerId() );
-
-    if( pcPPS->getLayerId() > 0 )
-    {
-      WRITE_FLAG( pcPPS->getPredScalingListFlag() ? 1 : 0,                          "pps_pred_scaling_list_flag" );
-      m_pcSlice->getScalingList()->setPredScalingListFlag( pcPPS->getPredScalingListFlag() );
-
-      if( pcPPS->getPredScalingListFlag() )
-      {
-        // The value of pps_scaling_list_ref_layer_id shall be in the range of 0 to 62, inclusive
-        assert( /*pcPPS->getScalingListRefLayerId() >= 0 &&*/ pcPPS->getScalingListRefLayerId() <= 62 );
-
-        // When avc_base_layer_flag is equal to 1, it is a requirement of bitstream conformance that the value of pps_scaling_list_ref_layer_id shall be greater than 0
-        if( pcPPS->getSPS()->getVPS()->getAvcBaseLayerFlag() )
-        {
-          assert( pcPPS->getScalingListRefLayerId() > 0 );
-        }
-
-        // It is a requirement of bitstream conformance that, when a PPS with nuh_layer_id equal to nuhLayerIdA is active for a layer with nuh_layer_id equal to nuhLayerIdB and 
-        // pps_infer_scaling_list_flag in the PPS is equal to 1, pps_infer_scaling_list_flag shall be equal to 0 for the PPS that is active for the layer with nuh_layer_id equal to pps_scaling_list_ref_layer_id
-        assert( pcPPS->getPPS( pcPPS->getScalingListRefLayerId() )->getPredScalingListFlag() == false );
-
-        // It is a requirement of bitstream conformance that, when a PPS with nuh_layer_id equal to nuhLayerIdA is active for a layer with nuh_layer_id equal to nuhLayerIdB, 
-        // the layer with nuh_layer_id equal to pps_scaling_list_ref_layer_id shall be a direct or indirect reference layer of the layer with nuh_layer_id equal to nuhLayerIdB
-        assert( pcPPS->getSPS()->getVPS()->getScalingListLayerDependency( pcPPS->getLayerId(), pcPPS->getScalingListRefLayerId() ) == true );
-        
-        WRITE_UVLC( pcPPS->getScalingListRefLayerId(),                            "scaling_list_pps_ref_layer_id" );
-        m_pcSlice->getScalingList()->setScalingListRefLayerId( pcPPS->getScalingListRefLayerId() );
-        codeScalingList( m_pcSlice->getScalingList() );
-      }
-      else
-      {
-        codeScalingList( m_pcSlice->getScalingList() );
-      }
-    }
-    else
-    {
-      codeScalingList( m_pcSlice->getScalingList() );
-    }
-#else
     codeScalingList( m_pcSlice->getScalingList() );
-#endif
   }
 
@@ -569,8 +522,4 @@
   WRITE_FLAG( pcSPS->getScalingListFlag() ? 1 : 0,                                   "scaling_list_enabled_flag" ); 
 
-#if IL_SL_SIGNALLING_N0371
-  pcSPS->setSPS( pcSPS->getLayerId(), pcSPS );
-#endif
-
   if(pcSPS->getScalingListFlag())
   {
@@ -597,50 +546,5 @@
     printf("SPS\n");
 #endif
-
-#if IL_SL_SIGNALLING_N0371
-    m_pcSlice->getScalingList()->setLayerId( pcSPS->getLayerId() );
-
-    if( pcSPS->getLayerId() > 0 )
-    {
-      WRITE_FLAG( pcSPS->getPredScalingListFlag() ? 1 : 0,                          "sps_pred_scaling_list_flag" );
-      m_pcSlice->getScalingList()->setPredScalingListFlag( pcSPS->getPredScalingListFlag() );
-
-      if( pcSPS->getPredScalingListFlag() )
-      {
-
-        // The value of sps_scaling_list_ref_layer_id shall be in the range of 0 to 62, inclusive
-        assert( /*pcSPS->getScalingListRefLayerId() >= 0 &&*/ pcSPS->getScalingListRefLayerId() <= 62 );
-        
-        // When avc_base_layer_flag is equal to 1, it is a requirement of bitstream conformance that the value of sps_scaling_list_ref_layer_id shall be greater than 0
-        if( pcSPS->getVPS()->getAvcBaseLayerFlag() )
-        {
-          assert( pcSPS->getScalingListRefLayerId() > 0 );
-        }
-
-        // It is a requirement of bitstream conformance that, when an SPS with nuh_layer_id equal to nuhLayerIdA is active for a layer with nuh_layer_id equal to nuhLayerIdB and 
-        // sps_infer_scaling_list_flag in the SPS is equal to 1, sps_infer_scaling_list_flag shall be equal to 0 for the SPS that is active for the layer with nuh_layer_id equal to sps_scaling_list_ref_layer_id
-        assert( pcSPS->getSPS( pcSPS->getScalingListRefLayerId() )->getPredScalingListFlag() == false );
-
-        // It is a requirement of bitstream conformance that, when an SPS with nuh_layer_id equal to nuhLayerIdA is active for a layer with nuh_layer_id equal to nuhLayerIdB, 
-        // the layer with nuh_layer_id equal to sps_scaling_list_ref_layer_id shall be a direct or indirect reference layer of the layer with nuh_layer_id equal to nuhLayerIdB
-        assert( pcSPS->getVPS()->getScalingListLayerDependency( pcSPS->getLayerId(), pcSPS->getScalingListRefLayerId() ) == true );
-
-        WRITE_UVLC( pcSPS->getScalingListRefLayerId(),                            "scaling_list_sps_ref_layer_id" );
-        m_pcSlice->getScalingList()->setScalingListRefLayerId( pcSPS->getScalingListRefLayerId() );
-        codeScalingList( m_pcSlice->getScalingList() );
-      }
-      else
-      {
-        codeScalingList( m_pcSlice->getScalingList() );
-      }
-    }
-    else
-    {
       codeScalingList( m_pcSlice->getScalingList() );
-    }
-#else
-      codeScalingList( m_pcSlice->getScalingList() );
-#endif
-
     }
 #if SCALINGLIST_INFERRING
@@ -1175,15 +1079,4 @@
   }
 #endif
-
-#if IL_SL_SIGNALLING_N0371
-  for(i = 1; i < vps->getMaxLayers(); i++)
-  {
-    for(j = 0; j < i; j++)
-    {
-      vps->setScalingListLayerDependency( i, j, vps->checkLayerDependency( i,j ) );
-    }
-  }
-#endif
-
 #endif
 #if M0040_ADAPTIVE_RESOLUTION_CHANGE
@@ -2226,33 +2119,4 @@
         startBit = m_pcBitIf->getNumberOfWrittenBits();
 #endif
-
-#if IL_SL_SIGNALLING_N0371
-        if( scalingList->getLayerId() > 0 && scalingList->getPredScalingListFlag() )
-        {
-          scalingListPredModeFlag = scalingList->checkPredMode( sizeId, listId );
-          WRITE_FLAG( scalingListPredModeFlag, "scaling_list_pred_mode_flag" );
-          if(!scalingListPredModeFlag)// Copy Mode
-          {
-            WRITE_UVLC( (Int)listId - (Int)scalingList->getRefMatrixId (sizeId,listId), "scaling_list_pred_matrix_id_delta");
-          }
-          else// DPCM Mode
-          {
-            xCodeScalingList(scalingList, sizeId, listId);
-          }
-        }
-        else
-        {
-          scalingListPredModeFlag = scalingList->checkPredMode( sizeId, listId );
-          WRITE_FLAG( scalingListPredModeFlag, "scaling_list_pred_mode_flag" );
-          if(!scalingListPredModeFlag)// Copy Mode
-          {
-            WRITE_UVLC( (Int)listId - (Int)scalingList->getRefMatrixId (sizeId,listId), "scaling_list_pred_matrix_id_delta");
-          }
-          else// DPCM Mode
-          {
-            xCodeScalingList(scalingList, sizeId, listId);
-          }
-        }
-#else
         scalingListPredModeFlag = scalingList->checkPredMode( sizeId, listId );
         WRITE_FLAG( scalingListPredModeFlag, "scaling_list_pred_mode_flag" );
@@ -2265,5 +2129,4 @@
           xCodeScalingList(scalingList, sizeId, listId);
         }
-#endif
 
 #if SCALING_LIST_OUTPUT_RESULT
@@ -2291,62 +2154,24 @@
   Int *src = scalingList->getScalingListAddress(sizeId, listId);
 
-    if( sizeId > SCALING_LIST_8x8 )
-    {
-#if IL_SL_SIGNALLING_N0371
-      if( scalingList->getLayerId() > 0 && scalingList->getPredScalingListFlag() )
-      {
-        ref_scalingListDC[scalingList->getLayerId()][sizeId][listId] = scalingList->getScalingListDC(sizeId,listId);
-        scalingList->setScalingListDC(sizeId,listId,ref_scalingListDC[scalingList->getScalingListRefLayerId()][sizeId][listId]);
-      }
-      else
-      {
-        WRITE_SVLC( scalingList->getScalingListDC(sizeId,listId) - 8, "scaling_list_dc_coef_minus8");
-        nextCoef = scalingList->getScalingListDC(sizeId,listId);
-        ref_scalingListDC[scalingList->getLayerId()][sizeId][listId] = scalingList->getScalingListDC(sizeId,listId);
-      }
-#else
-      WRITE_SVLC( scalingList->getScalingListDC(sizeId,listId) - 8, "scaling_list_dc_coef_minus8");
-      nextCoef = scalingList->getScalingListDC(sizeId,listId);
-#endif
-    }
-    for(Int i=0;i<coefNum;i++)
-    {
-#if IL_SL_SIGNALLING_N0371
-      if( scalingList->getLayerId() > 0 && scalingList->getPredScalingListFlag() )
-      {
-        ref_scalingListCoef[scalingList->getLayerId()][sizeId][listId][i] = src[scan[i]];
-        src[scan[i]] = ref_scalingListCoef[scalingList->getScalingListRefLayerId()][sizeId][listId][i];
-      }
-      else
-      {
-        data = src[scan[i]] - nextCoef;
-        ref_scalingListCoef[scalingList->getLayerId()][sizeId][listId][i] = src[scan[i]];
-        nextCoef = src[scan[i]];
-        if(data > 127)
-        {
-          data = data - 256;
-        }
-        if(data < -128)
-        {
-          data = data + 256;
-        }
-
-        WRITE_SVLC( data,  "scaling_list_delta_coef");
-      }
-#else
-      data = src[scan[i]] - nextCoef;
-      nextCoef = src[scan[i]];
-      if(data > 127)
-      {
-        data = data - 256;
-      }
-      if(data < -128)
-      {
-        data = data + 256;
-      }
-
-      WRITE_SVLC( data,  "scaling_list_delta_coef");
-#endif
-    }
+  if( sizeId > SCALING_LIST_8x8 )
+  {
+    WRITE_SVLC( scalingList->getScalingListDC(sizeId,listId) - 8, "scaling_list_dc_coef_minus8");
+    nextCoef = scalingList->getScalingListDC(sizeId,listId);
+  }
+  for(Int i=0;i<coefNum;i++)
+  {
+    data = src[scan[i]] - nextCoef;
+    nextCoef = src[scan[i]];
+    if(data > 127)
+    {
+      data = data - 256;
+    }
+    if(data < -128)
+    {
+      data = data + 256;
+    }
+
+    WRITE_SVLC( data,  "scaling_list_delta_coef");
+  }
 }
 Bool TEncCavlc::findMatchingLTRP ( TComSlice* pcSlice, UInt *ltrpsIndex, Int ltrpPOC, Bool usedFlag )
Index: branches/SHM-4.1-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- branches/SHM-4.1-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 528)
+++ branches/SHM-4.1-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 529)
@@ -661,8 +661,4 @@
 #endif
 
-#if IL_SL_SIGNALLING_N0371
-    m_pcEncTop->getScalingList()->setLayerId( m_layerId );
-#endif
-
     pcSlice->setLastIDR(m_iLastIDR);
     pcSlice->setSliceIdx(0);
@@ -672,9 +668,5 @@
     if(m_pcEncTop->getUseScalingListId() == SCALING_LIST_OFF)
     {
-#if IL_SL_SIGNALLING_N0371
-      m_pcEncTop->getTrQuant()->setFlatScalingList( m_layerId );
-#else
       m_pcEncTop->getTrQuant()->setFlatScalingList();
-#endif
       m_pcEncTop->getTrQuant()->setUseScalingList(false);
       m_pcEncTop->getSPS()->setScalingListPresentFlag(false);
@@ -700,14 +692,5 @@
       {
 #endif
-#if IL_SL_SIGNALLING_N0371
-      pcSlice->getScalingList()->setLayerId( m_layerId );
-#endif
-
-#if IL_SL_SIGNALLING_N0371
-      pcSlice->setDefaultScalingList ( m_layerId );
-#else
       pcSlice->setDefaultScalingList ();
-#endif
-
       m_pcEncTop->getSPS()->setScalingListPresentFlag(false);
       m_pcEncTop->getPPS()->setScalingListPresentFlag(false);
@@ -722,8 +705,4 @@
     else if(m_pcEncTop->getUseScalingListId() == SCALING_LIST_FILE_READ)
     {
-#if IL_SL_SIGNALLING_N0371
-      pcSlice->getScalingList()->setLayerId( m_layerId );
-#endif
-
 #if SCALINGLIST_INFERRING
       // inferring of the scaling list can be moved to the config file
@@ -746,34 +725,10 @@
       if(pcSlice->getScalingList()->xParseScalingList(m_pcCfg->getScalingListFile()))
       {
-#if IL_SL_SIGNALLING_N0371
-        pcSlice->setDefaultScalingList ( m_layerId );
-#else
         pcSlice->setDefaultScalingList ();
-#endif
-      }
-#if IL_SL_SIGNALLING_N0371
-      pcSlice->getScalingList()->checkDcOfMatrix( m_layerId );
-#else
+      }
+
       pcSlice->getScalingList()->checkDcOfMatrix();
-#endif
       m_pcEncTop->getSPS()->setScalingListPresentFlag(pcSlice->checkDefaultScalingList());
-
-#if IL_SL_SIGNALLING_N0371
-      if( m_layerId > 0 )
-      {
-        m_pcEncTop->getSPS()->setPredScalingListFlag  (true); 
-        m_pcEncTop->getSPS()->setScalingListRefLayerId( 0 ); 
-      }
-#endif
-
       m_pcEncTop->getPPS()->setScalingListPresentFlag(false);
-
-#if IL_SL_SIGNALLING_N0371
-      if( m_layerId > 0 )
-      {
-        m_pcEncTop->getPPS()->setPredScalingListFlag  (false); 
-        m_pcEncTop->getPPS()->setScalingListRefLayerId( 0   ); 
-      }
-#endif
 
 #if SCALINGLIST_INFERRING
@@ -1778,7 +1733,4 @@
 #if SVC_EXTENSION
       nalu = NALUnit(NAL_UNIT_SPS, 0, m_layerId);
-#if IL_SL_SIGNALLING_N0371
-      pcSlice->getSPS()->setVPS( pcSlice->getVPS() );
-#endif
 #else
       nalu = NALUnit(NAL_UNIT_SPS);
Index: branches/SHM-4.1-dev/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- branches/SHM-4.1-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 528)
+++ branches/SHM-4.1-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 529)
@@ -1074,5 +1074,5 @@
 Void TEncTop::xInitPPS()
 {
-#if SCALINGLIST_INFERRING ||  IL_SL_SIGNALLING_N0371
+#if SCALINGLIST_INFERRING
   m_cPPS.setLayerId( m_layerId );
 #endif
